Subject: [Errata Held for Document Update] RFC7231 (5806)

From: RFC Errata System <[email-masked]>
Date: Mon, 23 Aug 2021 04:40:26 -0700 (PDT)

The following errata report has been held for document update 
for RFC7231, "Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5806

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Anders Kaseorg <[email-masked]>
Date Reported: 2019-08-12
Held by: Francesca Palombini (IESG)

Section: 4.3.7

Original Text
-------------
A server MUST generate a Content-Length field with a value of "0" if no
payload body is to be sent in the response.

Corrected Text
--------------
If no payload body is to be sent in the response, a server MUST
generate a status code of 204 (No Content) or a Content-Length field
with a value of "0" (but not both).

Notes
-----
The original text contradicts RFC 7230 §3.3.2: “A server MUST NOT send a Content-Length header field in any response with a status code of 1xx (Informational) or 204 (No Content)”, unless the intention was to disallow all 204 responses to OPTIONS requests, which I assume it was not.

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG